%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global libname easy-format

Name:           ocaml-easy-format
Version:        1.3.4
Release:        %mkrel 1
Summary:        High-level and functional interface to the Format module
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/%{libname}
VCS:            git:%{url}.git
Source0:        %{url}/releases/download/%{version}/%{libname}-%{version}.tbz

BuildRequires:  ocaml >= 4.08
BuildRequires:  ocaml-dune

%description
This module offers a high-level and functional interface to the Format
module of the OCaml standard library. It is a pretty-printing
facility, i.e. it takes as input some code represented as a tree and
formats this code into the most visually satisfying result, breaking
and indenting lines of code where appropriate.

Input data must be first modeled and converted into a tree using 3
kinds of nodes:

    atoms
    lists
    labeled nodes

Atoms represent any text that is guaranteed to be printed as-is. Lists
can model any sequence of items such as arrays of data or lists of
definitions that are labeled with something like "int main", "let x
=" or "x:".


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{libname}-%{version}


%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%license LICENSE
%doc README.md


%files devel -f .ofiles-devel
%doc CHANGES.md


%changelog
* Fri Jun 20 2025 daviddavid <daviddavid> 1.3.4-1.mga10
+ Revision: 2193122
- new version: 1.3.4

* Thu May 19 2022 pterjan <pterjan> 1.3.2-9.mga9
+ Revision: 1859009
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.3.2-8.mga9
+ Revision: 1833107
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.3.2-7.mga9
+ Revision: 1750855
- Rebuild for ocaml 4.13.1

* Fri Mar 05 2021 tv <tv> 1.3.2-6.mga9
+ Revision: 1698797
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 1.3.2-5.mga9
+ Revision: 1697281
- rebuild for ocaml-4.2-12
- we use dune, no need to BR opam

* Sun Jan 10 2021 pterjan <pterjan> 1.3.2-4.mga8
+ Revision: 1670443
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1551484
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.3.2-2.mga8
+ Revision: 1543644
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 1.3.2-1.mga8
+ Revision: 1482006
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.3.1-3.mga7
+ Revision: 1324101
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1299863
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1239740
- new version: 1.3.1
- switch to jbuilder

* Sun Nov 26 2017 tv <tv> 1.0.2-7.mga7
+ Revision: 1179504
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.0.2-6.mga7
+ Revision: 1171357
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Fri Oct 06 2017 daviddavid <daviddavid> 1.0.2-5.mga7
+ Revision: 1169320
- patch0: enable debugging information thus fixing empty debugsourcefiles.list

* Fri Feb 12 2016 umeabot <umeabot> 1.0.2-4.mga6
+ Revision: 956350
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 741421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 683022
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.0.2-1.mga5
+ Revision: 673901
- update to 1.0.2

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-10.mga4
+ Revision: 534724
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.0.1-9.mga4
+ Revision: 478638
- rebuild for new ocaml

* Tue Sep 10 2013 blue_prawn <blue_prawn> 1.0.1-8.mga4
+ Revision: 477231
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 361290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 1.0.1-6.mga3
+ Revision: 308247
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.1-5.mga3
+ Revision: 301804
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.1-3.mga3
+ Revision: 300455
- increm mkrel

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.0.1-2.mga3
+ Revision: 299081
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 1.0.1-1.mga3
+ Revision: 286904
- updated to last version 1.0.1 (with new URL)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 262963
- imported package ocaml-easy-format

